Matrix: Solve equation...

Solve the general matrix equation A x = b for x.

The matrix A can be any general m × n matrix, b is a m-dimensional and x a n-dimensional vector. The Matrix contains A as its first n columns and b as its last column. The n-dimensional solution is returned as a Matrix with n columns.

When the number of equations (m) is greater than the number of unknowns (n) the algorithm gives the best least-squares solution. If on the contrary you have fewer equations than unknowns the solution will not be unique.

## Method

Singular value decomposition with backsubstitution. Zero will be substituted for eigenvalues smaller than tolerance · maximumEigenvalue (when the user-supplied tolerance equals 0.0 a value of 2.2 · 10-16 · numberOfUnknowns will be used as tolerance).

See for more details: Golub & van Loan (1996) chapters 2 and 3.